org.icefaces.ace.component.list

## Interface IList

- All Known Implementing Classes:
    ACEList, ListBase

      public interface IList

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getBodyClass()`
    `java.lang.String` | `getBodyStyle()`
    `java.lang.String` | `getBottomButtonClass()`
    `java.lang.String` | `getControlsContainerClass()`
    `java.lang.String` | `getControlsFormat()`
    `java.lang.String` | `getControlsItemClass()`
    `java.lang.String` | `getControlsSpacerClass()`
    `java.lang.String` | `getDownButtonClass()`
    `java.lang.String` | `getDropGroup()`
    `java.lang.Object` | `getFilterBy()`
    `java.util.List` | `getFilteredData()`
    `java.lang.String` | `getFilterEvent()`
    `java.lang.String` | `getFilterMatchMode()`
    `java.lang.Object` | `getFilterOptions()`
    `java.lang.String` | `getFilterStyle()`
    `java.lang.String` | `getFilterStyleClass()`
    `java.lang.String` | `getFilterValue()`
    `java.lang.Object` | `getFilterValues()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getFooterStyle()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeaderStyle()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getItemClass()`
    `java.lang.String` | `getItemStyle()`
    `java.lang.String` | `getPlaceholderClass()`
    `javax.el.MethodExpression` | `getSelectionListener()`
    `java.lang.String` | `getSelectionMode()`
    `java.util.Set` | `getSelections()`
    `java.lang.Object` | `getSortBy()`
    `java.util.Comparator` | `getSortFunction()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Integer` | `getTabIndex()`
    `java.lang.String` | `getTopButtonClass()`
    `java.lang.String` | `getUpButtonClass()`
    `java.lang.Integer` | `getValueHashCode()`
    `java.lang.Boolean` | `isApplyingFilters()`
    `java.lang.Boolean` | `isApplyingSorts()`
    `java.lang.Boolean` | `isCompact()`
    `java.lang.Boolean` | `isControlsEnabled()`
    `java.lang.Boolean` | `isDoubleClickMigration()`
    `java.lang.Boolean` | `isDragging()`
    `java.lang.Boolean` | `isPlaceholder()`
    `java.lang.Boolean` | `isSortAscending()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setApplyingFilters(java.lang.Boolean applyingFilters)`
    `void` | `setApplyingSorts(java.lang.Boolean applyingSorts)`
    `void` | `setBodyClass(java.lang.String bodyClass)`
    `void` | `setBodyStyle(java.lang.String bodyStyle)`
    `void` | `setBottomButtonClass(java.lang.String bottomButtonClass)`
    `void` | `setCompact(java.lang.Boolean compact)`
    `void` | `setControlsContainerClass(java.lang.String controlsContainerClass)`
    `void` | `setControlsEnabled(java.lang.Boolean controlsEnabled)`
    `void` | `setControlsFormat(java.lang.String controlsFormat)`
    `void` | `setControlsItemClass(java.lang.String controlsItemClass)`
    `void` | `setControlsSpacerClass(java.lang.String controlsSpacerClass)`
    `void` | `setDoubleClickMigration(java.lang.Boolean doubleClickMigration)`
    `void` | `setDownButtonClass(java.lang.String downButtonClass)`
    `void` | `setDragging(java.lang.Boolean dragging)`
    `void` | `setDropGroup(java.lang.String dropGroup)`
    `void` | `setFilterBy(java.lang.Object filterBy)`
    `void` | `setFilteredData(java.util.List filteredData)`
    `void` | `setFilterEvent(java.lang.String filterEvent)`
    `void` | `setFilterMatchMode(java.lang.String filterMatchMode)`
    `void` | `setFilterOptions(java.lang.Object filterOptions)`
    `void` | `setFilterStyle(java.lang.String filterStyle)`
    `void` | `setFilterStyleClass(java.lang.String filterStyleClass)`
    `void` | `setFilterValue(java.lang.String filterValue)`
    `void` | `setFilterValues(java.lang.Object filterValues)`
    `void` | `setFooterClass(java.lang.String footerClass)`
    `void` | `setFooterStyle(java.lang.String footerStyle)`
    `void` | `setHeaderClass(java.lang.String headerClass)`
    `void` | `setHeaderStyle(java.lang.String headerStyle)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setItemClass(java.lang.String itemClass)`
    `void` | `setItemStyle(java.lang.String itemStyle)`
    `void` | `setPlaceholder(java.lang.Boolean placeholder)`
    `void` | `setPlaceholderClass(java.lang.String placeholderClass)`
    `void` | `setSelectionListener(javax.el.MethodExpression selectionListener)`
    `void` | `setSelectionMode(java.lang.String selectionMode)`
    `void` | `setSelections(java.util.Set selections)`
    `void` | `setSortAscending(java.lang.Boolean sortAscending)`
    `void` | `setSortBy(java.lang.Object sortBy)`
    `void` | `setSortFunction(java.util.Comparator sortFunction)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabIndex(java.lang.Integer tabIndex)`
    `void` | `setTopButtonClass(java.lang.String topButtonClass)`
    `void` | `setUpButtonClass(java.lang.String upButtonClass)`
    `void` | `setValueHashCode(java.lang.Integer valueHashCode)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setBodyClass

          void setBodyClass(java.lang.String bodyClass)

    - #### getBodyClass

          java.lang.String getBodyClass()

    - #### setBodyStyle

          void setBodyStyle(java.lang.String bodyStyle)

    - #### getBodyStyle

          java.lang.String getBodyStyle()

    - #### setBottomButtonClass

          void setBottomButtonClass(java.lang.String bottomButtonClass)

    - #### getBottomButtonClass

          java.lang.String getBottomButtonClass()

    - #### setCompact

          void setCompact(java.lang.Boolean compact)

    - #### isCompact

          java.lang.Boolean isCompact()

    - #### setControlsContainerClass

          void setControlsContainerClass(java.lang.String controlsContainerClass)

    - #### getControlsContainerClass

          java.lang.String getControlsContainerClass()

    - #### setControlsEnabled

          void setControlsEnabled(java.lang.Boolean controlsEnabled)

    - #### isControlsEnabled

          java.lang.Boolean isControlsEnabled()

    - #### setControlsFormat

          void setControlsFormat(java.lang.String controlsFormat)

    - #### getControlsFormat

          java.lang.String getControlsFormat()

    - #### setControlsItemClass

          void setControlsItemClass(java.lang.String controlsItemClass)

    - #### getControlsItemClass

          java.lang.String getControlsItemClass()

    - #### setControlsSpacerClass

          void setControlsSpacerClass(java.lang.String controlsSpacerClass)

    - #### getControlsSpacerClass

          java.lang.String getControlsSpacerClass()

    - #### setDoubleClickMigration

          void setDoubleClickMigration(java.lang.Boolean doubleClickMigration)

    - #### isDoubleClickMigration

          java.lang.Boolean isDoubleClickMigration()

    - #### setDownButtonClass

          void setDownButtonClass(java.lang.String downButtonClass)

    - #### getDownButtonClass

          java.lang.String getDownButtonClass()

    - #### setDragging

          void setDragging(java.lang.Boolean dragging)

    - #### isDragging

          java.lang.Boolean isDragging()

    - #### setDropGroup

          void setDropGroup(java.lang.String dropGroup)

    - #### getDropGroup

          java.lang.String getDropGroup()

    - #### setFilterBy

          void setFilterBy(java.lang.Object filterBy)

    - #### getFilterBy

          java.lang.Object getFilterBy()

    - #### setFilterEvent

          void setFilterEvent(java.lang.String filterEvent)

    - #### getFilterEvent

          java.lang.String getFilterEvent()

    - #### setFilterMatchMode

          void setFilterMatchMode(java.lang.String filterMatchMode)

    - #### getFilterMatchMode

          java.lang.String getFilterMatchMode()

    - #### setFilterOptions

          void setFilterOptions(java.lang.Object filterOptions)

    - #### getFilterOptions

          java.lang.Object getFilterOptions()

    - #### setFilterStyle

          void setFilterStyle(java.lang.String filterStyle)

    - #### getFilterStyle

          java.lang.String getFilterStyle()

    - #### setFilterStyleClass

          void setFilterStyleClass(java.lang.String filterStyleClass)

    - #### getFilterStyleClass

          java.lang.String getFilterStyleClass()

    - #### setFilterValue

          void setFilterValue(java.lang.String filterValue)

    - #### getFilterValue

          java.lang.String getFilterValue()

    - #### setFilterValues

          void setFilterValues(java.lang.Object filterValues)

    - #### getFilterValues

          java.lang.Object getFilterValues()

    - #### setFooterClass

          void setFooterClass(java.lang.String footerClass)

    - #### getFooterClass

          java.lang.String getFooterClass()

    - #### setFooterStyle

          void setFooterStyle(java.lang.String footerStyle)

    - #### getFooterStyle

          java.lang.String getFooterStyle()

    - #### setHeaderClass

          void setHeaderClass(java.lang.String headerClass)

    - #### getHeaderClass

          java.lang.String getHeaderClass()

    - #### setHeaderStyle

          void setHeaderStyle(java.lang.String headerStyle)

    - #### getHeaderStyle

          java.lang.String getHeaderStyle()

    - #### setHeight

          void setHeight(java.lang.String height)

    - #### getHeight

          java.lang.String getHeight()

    - #### setItemClass

          void setItemClass(java.lang.String itemClass)

    - #### getItemClass

          java.lang.String getItemClass()

    - #### setItemStyle

          void setItemStyle(java.lang.String itemStyle)

    - #### getItemStyle

          java.lang.String getItemStyle()

    - #### setPlaceholder

          void setPlaceholder(java.lang.Boolean placeholder)

    - #### isPlaceholder

          java.lang.Boolean isPlaceholder()

    - #### setPlaceholderClass

          void setPlaceholderClass(java.lang.String placeholderClass)

    - #### getPlaceholderClass

          java.lang.String getPlaceholderClass()

    - #### setSelectionListener

          void setSelectionListener(javax.el.MethodExpression selectionListener)

    - #### getSelectionListener

          javax.el.MethodExpression getSelectionListener()

    - #### setSelectionMode

          void setSelectionMode(java.lang.String selectionMode)

    - #### getSelectionMode

          java.lang.String getSelectionMode()

    - #### setSelections

          void setSelections(java.util.Set selections)

    - #### getSelections

          java.util.Set getSelections()

    - #### setSortAscending

          void setSortAscending(java.lang.Boolean sortAscending)

    - #### isSortAscending

          java.lang.Boolean isSortAscending()

    - #### setSortBy

          void setSortBy(java.lang.Object sortBy)

    - #### getSortBy

          java.lang.Object getSortBy()

    - #### setSortFunction

          void setSortFunction(java.util.Comparator sortFunction)

    - #### getSortFunction

          java.util.Comparator getSortFunction()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabIndex

          void setTabIndex(java.lang.Integer tabIndex)

    - #### getTabIndex

          java.lang.Integer getTabIndex()

    - #### setTopButtonClass

          void setTopButtonClass(java.lang.String topButtonClass)

    - #### getTopButtonClass

          java.lang.String getTopButtonClass()

    - #### setUpButtonClass

          void setUpButtonClass(java.lang.String upButtonClass)

    - #### getUpButtonClass

          java.lang.String getUpButtonClass()

    - #### setApplyingFilters

          void setApplyingFilters(java.lang.Boolean applyingFilters)

    - #### isApplyingFilters

          java.lang.Boolean isApplyingFilters()

    - #### setApplyingSorts

          void setApplyingSorts(java.lang.Boolean applyingSorts)

    - #### isApplyingSorts

          java.lang.Boolean isApplyingSorts()

    - #### setFilteredData

          void setFilteredData(java.util.List filteredData)

    - #### getFilteredData

          java.util.List getFilteredData()

    - #### setValueHashCode

          void setValueHashCode(java.lang.Integer valueHashCode)

    - #### getValueHashCode

          java.lang.Integer getValueHashCode()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.